<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Wallet extends Model
{
    use HasFactory;

    protected $table = 'wallets';

    protected $dates = ['created_at', 'updated_at'];

    protected $casts = [
        'created_at' => 'datetime',
        'updated_at' => 'datetime',
    ];

    public function walletType()
    {
        return $this->hasOne(WalletType::class);
    }

    public function user()
    {
        return $this->hasOneThrough(User::class, Artist::class);
    }

    public function artist()
    {
        return $this->belongsTo(Artist::class);
    }

}
